Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags
Class NestedPathTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.NestedPathTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class NestedPathTag

extends javax.servlet.jsp.tagext.TagSupport
implements javax.servlet.jsp.tagext.TryCatchFinally

Nested-path tag, to support and assist with nested beans or bean properties in the model. Exports a "nestedPath" variable of type String in request scope, visible to the current page and also included pages, if any.

The BindTag will auto-detect the current nested path and automatically prepend it to its own path to form a complete path to the bean or bean property.

This tag will also prepend any existing nested path that is currently set. Thus, you can nest multiple nested-path tags.

Thanks to Seth Ladd for the suggestion and the original implementation!

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `NESTED_PATH_VARIABLE_NAME` Name of the exposed variable within the scope of this tag: "nestedPath".

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedPathTag()`

Method Summary
`void` | `doCatch(java.lang.Throwable throwable)`
`int` | `doEndTag()` Reset any previous nestedPath value.
`void` | `doFinally()`
`int` | `doStartTag()`
`java.lang.String` | `getPath()` Return the path that this tag applies to.
`void` | `setPath(java.lang.String path)` Set the path that this tag should apply.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NESTED_PATH_VARIABLE_NAME

    public static final java.lang.String NESTED_PATH_VARIABLE_NAME

  Name of the exposed variable within the scope of this tag: "nestedPath".

  See Also:
    Constant Field Values

Constructor Detail

### NestedPathTag

    public NestedPathTag()

Method Detail

### setPath

    public void setPath(java.lang.String path)

  Set the path that this tag should apply.

  E.g. "customer" to allow bind paths like "address.street" rather than "customer.address.street".

  See Also:
    `BindTag.setPath(java.lang.String)`

### getPath

    public java.lang.String getPath()

  Return the path that this tag applies to.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()

  Reset any previous nestedPath value.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`

### doCatch

    public void doCatch(java.lang.Throwable throwable)
                 throws java.lang.Throwable

  Specified by:
    `doCatch` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
  Throws:
    `java.lang.Throwable`

### doFinally

    public void doFinally()

  Specified by:
    `doFinally` in interface `javax.servlet.jsp.tagext.TryCatchFinally`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD